> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Quote Extra Fields Configs

GET https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields

Returns a list of available extra fields configs for sales quotes.

We recommend caching the response results to avoid frequent API requests.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/quotes/get-rfq-extra-fields

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `offset` (integer, optional, default: 0) — The number of results to skip before returning the first result. If left blank, this defaults to `0`.
- `limit` (integer, optional, default: 10) — Determines the number of records to return per page. If left blank, this defaults to `10`.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `data` (list of quoteExtraFieldConfig, optional)
- `meta` (RfqExtraFieldsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### quoteExtraFieldConfig

An extra field configuration for quotes, as returned by the B2B Edition extra-fields serializer.

- `id` (integer, optional) — The unique numeric ID for the extra field.
- `uuid` (string, optional) — UUID of the extra field assigned by B2B Edition.
- `fieldName` (string, optional) — The name of the extra field.
- `labelName` (string, optional) — The label shown for the extra field. Defaults to `fieldName`.
- `fieldType` (enum, optional) — The data type allowed by the extra field. The supported types are text (`0`), multiline text (`1`), number (`2`), and dropdown (`3`).
  - Allowed values: `0`, `1`, `2`, `3`
- `isRequired` (boolean, optional) — Indicates whether the extra field requires a value.
- `isUnique` (boolean, optional) — Indicates whether the extra field's value must be unique when present.
- `visibleToEnduser` (boolean, optional) — Indicates whether the extra field is visible on the storefront.
- `configType` (enum, optional) — Indicates whether the extra field is built in (`1`) or user defined (`2`).
  - Allowed values: `1`, `2`
- `defaultValue` (string, optional) — The default value the extra field takes, if it exists.
- `maximumLength` (string, optional) — The maximum character length for text extra fields. Only present when `fieldType` is `0`.
- `numberOfRows` (string, optional) — The maximum number of rows for multiline text extra fields. Only present when `fieldType` is `1`.
- `maximumValue` (string, optional) — The maximum value of number extra fields. Only present when `fieldType` is `2`.
- `listOfValue` (list of string, optional) — The list of values for dropdown extra fields. Only present when `fieldType` is `3`.
- `valueConfigs` (QuoteExtraFieldConfigValueConfigs, optional) — The raw value configuration stored for the extra field.

### RfqExtraFieldsGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: SUCCESS)
- `pagination` (responsePagination, optional)

### QuoteExtraFieldConfigValueConfigs

The raw value configuration stored for the extra field.

- `defaultValue` (string, optional) — The stored default value.
- `maximumLimit` (string, optional) — The stored limit. Holds the value of `maximumLength`, `numberOfRows`, or `maximumValue`, depending on `fieldType`.
- `listOfValue` (list of string, optional) — The stored dropdown values.
- `labelName` (string, optional) — The stored label, if one was set.

### responsePagination

- `totalCount` (integer, optional) — The total number of items in the full response.
- `offset` (integer, optional, default: 0) — The number of results skipped before the first result.
- `limit` (integer, optional, default: 10) — The number of records returned per page.

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "id": 31,
      "uuid": "efb3a9d2-4c7a-4f3e-9a2b-1d2f3e4c5b6a",
      "fieldName": "Customer Priority",
      "labelName": "Customer Priority",
      "fieldType": 3,
      "isRequired": true,
      "isUnique": false,
      "visibleToEnduser": true,
      "configType": 2,
      "defaultValue": "normal",
      "listOfValue": [
        "low",
        "normal",
        "high"
      ],
      "valueConfigs": {
        "defaultValue": "normal",
        "maximumLimit": "",
        "listOfValue": [
          "low",
          "normal",
          "high"
        ]
      }
    },
    {
      "id": 32,
      "uuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "fieldName": "Project Code",
      "labelName": "Project Code",
      "fieldType": 0,
      "isRequired": false,
      "isUnique": false,
      "visibleToEnduser": true,
      "configType": 2,
      "defaultValue": "",
      "maximumLength": "20",
      "valueConfigs": {
        "defaultValue": "",
        "maximumLimit": "20",
        "listOfValue": []
      }
    }
  ],
  "meta": {
    "message": "SUCCESS",
    "pagination": {
      "totalCount": 2,
      "offset": 0,
      "limit": 10
    }
  }
}
```

**SDK Code**

```python Quotes_get-rfq-extra-fields_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Quotes_get-rfq-extra-fields_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Quotes_get-rfq-extra-fields_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Quotes_get-rfq-extra-fields_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Quotes_get-rfq-extra-fields_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Quotes_get-rfq-extra-fields_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Quotes_get-rfq-extra-fields_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Quotes_get-rfq-extra-fields_example
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/rfq/extra-fields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```